Уязвимость BDU:2020-03283

Дата: 11.01.2019. Автор: ФСТЭК России. Категории: Уязвимости

Идентификатор: BDU:2020-03283.

Наименование уязвимости: Уязвимость реализации функции WritePDFImage графических редакторов ImageMagick и GraphicsMagick, позволяющая нарушителю выполнить произвольный код или вызвать отказ в обслуживании.

Описание уязвимости: Уязвимость реализации функции WritePDFImage графических редакторов ImageMagick и GraphicsMagick связана с ошибками управления ресурсом. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, выполнить произвольный код или вызвать отказ в обслуживании с помощью специально созданного изображения
Уязвимое ПО: Операционная система Canonical Ltd. Ubuntu 16.04 LTS | Операционная система Novell Inc. OpenSUSE Leap 42.3 | Операционная система Canonical Ltd. Ubuntu 18.04 LTS | Операционная система Canonical Ltd. Ubuntu 12.04 ESM | Операционная система Novell Inc. OpenSUSE Leap 15.0 | Операционная система Canonical Ltd. Ubuntu 14.04 ESM | Операционная система Debian GNU/Linux 10 | Операционная система Canonical Ltd. Ubuntu 19.10 | Прикладное ПО информационных систем GraphicsMagick Group GraphicsMagick до 1.3.31 включительно | Прикладное ПО информационных систем ImageMagick Studio LLC ImageMagick до 7.0.8-25 |

Наименование ОС и тип аппаратной платформы: Ubuntu 1604 LTS | OpenSUSE Leap 423 | Ubuntu 1804 LTS | Ubuntu 1204 ESM | OpenSUSE Leap 150 | Ubuntu 1404 ESM | Debian GNU/Linux 10 | Ubuntu 1910 |
Дата выявления: 11.01.2019.
CVSS 2.0: AV:N/AC:L/Au:N/C:N/I:N/A:C
Уровень опасности уязвимости: Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,8)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 7,5)

Возможные меры по устранению:
Использование рекомендаций:
Для ImageMagick и GraphicsMagick:
http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/11ad3aeb8ab1
https://github.com/ImageMagick/ImageMagick/commit/306c1f0fa5754ca78efd16ab752f0e981d4f6b82
https://github.com/ImageMagick/ImageMagick/issues/1454

Для Ubuntu:
https://usn.ubuntu.com/4034-1/

Для Debian GNU/Linux:
https://www.debian.org/security/2020/dsa-4712

Для программных продуктов Novell Inc.:
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00034.html
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00006.html
.
Статус уязвимости: Подтверждена производителем
Наличие эксплойта: Существует в открытом доступе
Информация об устранении: Уязвимость устранена
Идентификаторы других систем описаний уязвимости: CVE-2019-7397.

Тип ошибки CWE: CWE-399
Ссылки на источники:
cайт ФАУ «ГНИИИ ПТЗИ ФСТЭК России».
http://hg.graphicsmagick.org/hg/GraphicsMagick/rev/11ad3aeb8ab1
http://lists.opensuse.org/opensuse-security-announce/2019-04/msg00034.html
http://lists.opensuse.org/opensuse-security-announce/2019-05/msg00006.html
http://www.securityfocus.com/bid/106847
https://github.com/ImageMagick/ImageMagick/commit/306c1f0fa5754ca78efd16ab752f0e981d4f6b82
https://github.com/ImageMagick/ImageMagick/issues/1454
https://usn.ubuntu.com/4034-1/
https://www.debian.org/security/2020/dsa-4712

Об авторе ФСТЭК России

Аккаунт для добавления уязвимостей с банка данных угроз безопасности информации ФСТЭК России. Не является оф. аккаунтом ФСТЭК России.
Читать все записи автора ФСТЭК России

Добавить комментарий

Ваш адрес email не будет опубликован.